Bug 43641 - Image in .docx file not shown
Summary: Image in .docx file not shown
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 RC1
Hardware: All All
: high critical
Assignee: Miklos Vajna
QA Contact:
URL:
Whiteboard: target:4.2.0 target:4.1.0.2
Keywords:
Depends on:
Blocks: mab3.6
  Show dependency treegraph
 
Reported: 2011-12-08 12:30 UTC by Zaid
Modified: 2013-06-24 06:17 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
docx file (20.37 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2011-12-08 12:30 UTC, Zaid
Details
screenshot in MSWord 2007 russian (122.93 KB, image/jpeg)
2012-02-13 08:15 UTC, sasha.libreoffice
Details
converted into odt by Word 2007 (92.67 KB, application/vnd.oasis.opendocument.text)
2012-02-13 08:16 UTC, sasha.libreoffice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Zaid 2011-12-08 12:30:56 UTC
Created attachment 54251 [details]
docx file

The attached file is created with Microsoft Word , and it contains an image that LibreOffice writer doesn't view. the image appears when using Microsoft Word or Microsoft Word web app .
Comment 1 Florian Reisinger 2012-01-21 11:06:18 UTC
Confirmed
Comment 2 sasha.libreoffice 2012-02-13 08:14:25 UTC
inside of docx file I see file /word/document.xml
When opening it by Firefox, we can see tag <w:drawing> inside of it
inside tags <wp:inline> and <a:graphic>

When saving into odt by Word 2007, it saves picture as raster
Comment 3 sasha.libreoffice 2012-02-13 08:15:22 UTC
Created attachment 56976 [details]
screenshot in MSWord 2007 russian
Comment 4 sasha.libreoffice 2012-02-13 08:16:58 UTC
Created attachment 56978 [details]
converted into odt by Word 2007
Comment 5 Michael Meeks 2013-05-16 13:58:16 UTC
We have something like this in-line in the document:

<w:drawing><wp:inline distT="0" distB="0" distL="0" distR="0"><wp:extent cx="5486400" cy="3685540"/><wp:effectExtent l="19050" t="0" r="0" b="0"/><wp:docPr id="2" name="Object 2"/><wp:cNvGraphicFramePr/><a:graphic><a:graphicData uri="http://schemas.openxmlformats.org/drawingml/2006/lockedCanvas"><lc:lockedCanvas><a:nvGrpSpPr><a:cNvPr id="0" name=""/><a:cNvGrpSpPr/></a:nvGrpSpPr><a:grpSpPr>

Which we don't appear to open; Miklos - any quick analysis on what is missing here ? :-)
Comment 6 Miklos Vajna 2013-06-17 05:46:59 UTC
It seems to me that such a shape can be created with inserting the shape in powerpoint2007, then copy&pasting it to word2007, then saving as docx. This is plain VML without drawingML fallback, and it seems that even if we have a drawingML importer, the shape part of that is not connected with the docx import.

Normally if you insert shapes in word2007 or word2010, you either get only VML shapes or you get mc:AlternateContent, and then you have the VML fallback again.

So this is a groupshape, but I hope the bug has nothing to do with groupshapes. :-)
Comment 7 Miklos Vajna 2013-06-17 05:48:38 UTC
> This is plain VML without drawingML fallback

Err, "plain drawingML without VML fallback" is what I wanted to write.
Comment 8 Miklos Vajna 2013-06-19 12:36:39 UTC
I'll try to take care of this.
Comment 9 Commit Notification 2013-06-20 08:53:00 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=32b93c5c4f0663eefd1e1979875f8af659c463df

fdo#43641 oox: add support for the lockedCanvas namespace



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2013-06-20 08:53:18 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=363dafefad14411a16f6ea9d2ee0d55b67bc9c8d

fdo#43641 writerfilter: tokenize lc:lockedCanvas



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2013-06-20 08:53:37 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a9966b272151fa66c4a7c74bcb2505ef2ea94a6e

fdo#43641 oox: initial import of lc:lockedCanvas



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Miklos Vajna 2013-06-20 12:49:58 UTC
With the above commits, something gets imported, but the relative position of the lines and ellipses, etc in the groupshape is still problematic.
Comment 13 Miklos Vajna 2013-06-20 17:54:03 UTC
I was wrong, only the position and size of LineShapes is wrong, the rest is correct.
Comment 14 Commit Notification 2013-06-21 08:48:04 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=76a90e69d15104f76193647050948528caf6ff8d

fdo#43641 oox: fix position/size of LineShapes inside lockedCanvas



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2013-06-21 08:48:22 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=832612bb6bd013cf68a64e33827158f96e6d03d3

fdo#43641 testcase



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 16 Miklos Vajna 2013-06-21 08:51:32 UTC
Fixed in master, marking as resolved. ATM I don't plan to backport this, as this is more of a new feature that never worked.
Comment 17 Commit Notification 2013-06-23 04:26:27 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0f61ec4974a8c9aee85c3225814c002371eac4ff&h=libreoffice-4-1

fdo#43641 oox: add support for the lockedCanvas namespace


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2013-06-23 04:26:45 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c2f608eec26c07e172f0e0137207d7ccdff202d0&h=libreoffice-4-1

fdo#43641 writerfilter: tokenize lc:lockedCanvas


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2013-06-23 04:27:04 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=85b05fac54b1b9ed87f5603001a4885a14f3a5ab&h=libreoffice-4-1

fdo#43641 oox: initial import of lc:lockedCanvas


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 20 Commit Notification 2013-06-23 04:27:24 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=34d278a5e6c40dd812480c09754fa1bcc53a71d6&h=libreoffice-4-1

fdo#43641 oox: fix position/size of LineShapes inside lockedCanvas


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2013-06-23 04:27:43 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=418f712d6e59a2142125ed7815143496bfb5ea81&h=libreoffice-4-1

fdo#43641 testcase


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 22 sasha.libreoffice 2013-06-24 06:17:37 UTC
thanks for fixing this bug and creating test